<ART ID="00592" PID="1701" JID="134" BPAGE="75" EPAGE="132" PII="S0218216508005926" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2008">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>DIRECTED GRAPHS AND KRONECKER INVARIANTS OF PAIRS OF MATRICES</MTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>JACOB</FNM>
<SNM>TOWBER</SNM>
<X-REF REFID="S0218216508005926AF001"></X-REF>
</AUT>
<AFF ID="S0218216508005926AF001">DePaul University, Chicago, Illinois, <CNY>USA</CNY></AFF>
</A-GRP>
<HIST>
<AC>13 June 2006</AC>
</HIST>
<ABST>
<P>Call two pairs (<F>M,N</F>) and (<F>M&#x2032;,N&#x2032;</F>) of <F>m &#x00D7; n</F> matrices over a field <F>K</F>, <IT>simultaneously K-equivalent</IT> if there exist square invertible matrices <F>S,T</F> over K, with <F>M&#x2032; = SMT</F> and <f>N&#x2032; = SNT</f>. Kronecker [2] has given a complete set of invariants for simultaneous equivalence of pairs of matrices.</P>
<P>Associate in the natural way to a finite directed graph &#x0393;, with <F>v</F> vertices and <F>e</F> edges, an ordered pair (<F>M,N</F>) of <F>e &#x00D7; v</F> matrices of zeros and ones. It is natural to try to compute the Kronecker invariants of such a pair (<F>M,N</F>), particularly since they clearly furnish isomorphism-invariants of &#x0393;. Let us call two graphs "linearly equivalent" when their two corresponding pairs are simultaneously equivalent.</P>
<P>There have existed, since 1890, highly effective algorithms for computing the Kronecker invariants of pairs of matrices of the same size over a given field [1,2,5,6] and in particular for those arising in the manner just described from finite directed graphs.</P>
<P>The purpose of the present paper, is to compute <IT>directly</IT> these Kronecker invariants of finite directed graphs, from <IT>elementary combinatorial properties</IT> of the graphs. A pleasant surprise is that these new invariants are purely <IT>rational</IT> &#x2014; indeed, <IT>integral</IT>, in the sense that the computation needed to decide if two directed graphs are linearly equivalent only involves counting vertices in various finite graphs constructed from each of the given graphs &#x2014; and <IT>does not involve finding the irreducible factorization of a polynomial over K</IT> (in apparent contrast both to the familiar invariant-computations of graphs furnished by the eigenvalues of the connection matrix, and to the isomorphism problem for general pairs of matrices).</P>
</ABST>
<KWDG>
<KWD>Directed graphs</KWD>
<KWD>Kronecker invariants</KWD>
</KWDG>
<KWDG CLASS="AMSC">
<KWD>15A22</KWD>
<KWD>05C20</KWD>
</KWDG>
</FRONT>
</ART>
